D4Science Infrastructure - Task #10240

Install a modern virtualisation framework to host the 'corporate’ services
Nov 07, 2017 04:35 PM - Andrea Dell'’Amico

Status: Closed Start date: Sep 28, 2017
Priority: Normal Due date:
Assignee: _InfraScience Systems Engineer % Done: 100%
Category: System Application Estimated time: 0.00 hour
Target version: Migrate from Xen to a new virtualisation

system
Infrastructure: Development, Pre-Production,

Production
Description

And the project related services, until we can experiment with OpenStack/Kubernetes.

oVirt https://ovirt.org is the best candidate to me. It's completely free, backed by Red Hat, integrates natively with gluster (a
distributed file system. Can complement Ceph for this particular use case).

Maybe we could propose it for the ISTI virtualisation servers too.

Subtasks:

Task # 9857: Evacuate the hypervisors from dlib14x to dlib19x Closed
Task # 10988: Install oVirt on dlib14x-19x Closed
Task # 11709: Post configuration of the oVirt manager Closed
History

#1 - Nov 11, 2017 04:18 PM - Andrea Dell'Amico

- Subject changed from Use a modern virtualisation framework to host the 'corporate’ services to Install a modern virtualisation framework to host the
'corporate’ services

A link that explains a scenario that we can implement: https:/ovirt.org/documentation/gluster-hyperconverged/Gluster_Hyperconverged_Guide/
A link that describes the existing ansible roles that can help manage oVirt: https:/ovirt.org/blog/2017/07/ovirt-ansible-roles-an-introduction/

#2 - Jan 18, 2018 04:12 PM - Andrea Dell'Amico

- Status changed from New to In Progress

Tommaso has almost finished installing the 14x-19x servers with CentOS 7.

#4 - Apr 18,2018 01:00 PM - Andrea Dell'’Amico
- Due date set to Apr 18, 2018

due to changes in a related task

#5 - Apr 18,2018 02:17 PM - Andrea Dell'Amico
- Due date set to Sep 28, 2017

due to changes in a related task

#6 - May 31, 2018 03:39 PM - Andrea Dell'Amico

- Status changed from In Progress to Closed
